## gst-plugins-bad1.0-contrib 1.20.0

=== meson_options.txt ===
option('gst_play_tests', type: 'boolean', value: false,
       description: 'Enable GstPlay tests that need network access')

# Feature options for plugins without external deps
option('accurip', type : 'feature', value : 'auto')
option('adpcmdec', type : 'feature', value : 'auto')
option('adpcmenc', type : 'feature', value : 'auto')
option('aiff', type : 'feature', value : 'auto')
option('asfmux', type : 'feature', value : 'auto')
option('audiobuffersplit', type : 'feature', value : 'auto')
option('audiofxbad', type : 'feature', value : 'auto')
option('audiolatency', type : 'feature', value : 'auto')
option('audiomixmatrix', type : 'feature', value : 'auto')
option('audiovisualizers', type : 'feature', value : 'auto')
option('autoconvert', type : 'feature', value : 'auto')
option('bayer', type : 'feature', value : 'auto')
option('camerabin2', type : 'feature', value : 'auto')
option('codecalpha', type : 'feature', value : 'auto')
option('coloreffects', type : 'feature', value : 'auto')
option('debugutils', type : 'feature', value : 'auto')
option('dvbsubenc', type : 'feature', value : 'auto')
option('dvbsuboverlay', type : 'feature', value : 'auto')
option('dvdspu', type : 'feature', value : 'auto')
option('faceoverlay', type : 'feature', value : 'auto')
option('festival', type : 'feature', value : 'auto')
option('fieldanalysis', type : 'feature', value : 'auto')
option('freeverb', type : 'feature', value : 'auto')
option('frei0r', type : 'feature', value : 'auto')
option('gaudieffects', type : 'feature', value : 'auto')
option('gdp', type : 'feature', value : 'auto')
option('geometrictransform', type : 'feature', value : 'auto')
option('id3tag', type : 'feature', value : 'auto')
option('inter', type : 'feature', value : 'auto')
option('interlace', type : 'feature', value : 'auto')
option('ivfparse', type : 'feature', value : 'auto')
option('ivtc', type : 'feature', value : 'auto')
option('jp2kdecimator', type : 'feature', value : 'auto')
option('jpegformat', type : 'feature', value : 'auto')
option('librfb', type : 'feature', value : 'auto')
option('midi', type : 'feature', value : 'auto')
option('mpegdemux', type : 'feature', value : 'auto')
option('mpegpsmux', type : 'feature', value : 'auto')
option('mpegtsdemux', type : 'feature', value : 'auto')
option('mpegtsmux', type : 'feature', value : 'auto')
option('mxf', type : 'feature', value : 'auto')
option('netsim', type : 'feature', value : 'auto')
option('onvif', type : 'feature', value : 'auto')
option('pcapparse', type : 'feature', value : 'auto')
option('pnm', type : 'feature', value : 'auto')
option('proxy', type : 'feature', value : 'auto')
option('qroverlay', type : 'feature', value : 'auto')
option('rawparse', type : 'feature', value : 'auto')
option('removesilence', type : 'feature', value : 'auto')
option('rist', type : 'feature', value : 'auto')
option('rtmp2', type : 'feature', value : 'auto')
option('rtp', type : 'feature', value : 'auto')
option('sdp', type : 'feature', value : 'auto')
option('segmentclip', type : 'feature', value : 'auto')
option('siren', type : 'feature', value : 'auto')
option('smooth', type : 'feature', value : 'auto')
option('speed', type : 'feature', value : 'auto')
option('subenc', type : 'feature', value : 'auto')
option('switchbin', type : 'feature', value : 'auto')
option('timecode', type : 'feature', value : 'auto')
option('videofilters', type : 'feature', value : 'auto')
option('videoframe_audiolevel', type : 'feature', value : 'auto')
option('videoparsers', type : 'feature', value : 'auto')
option('videosignal', type : 'feature', value : 'auto')
option('vmnc', type : 'feature', value : 'auto')
option('y4m', type : 'feature', value : 'auto')

# Feature options for libraries that need external deps
option('opencv', type : 'feature', value : 'auto', description : 'OpenCV computer vision library support')

# Feature options for optional deps in plugins
option('wayland', type : 'feature', value : 'auto', description : 'Wayland plugin/library, support in the Vulkan plugin')
option('x11', type : 'feature', value : 'auto', description : 'X11 support in Vulkan, GL and rfb plugins')

# Feature options for plugins that need external deps
option('aes', type : 'feature', value : 'auto', description : 'AES encryption/decryption plugin')
option('aom', type : 'feature', value : 'auto', description : 'AOM AV1 video codec plugin')
option('avtp', type : 'feature', value : 'auto', description : 'Audio/Video Transport Protocol (AVTP) plugin')
option('androidmedia', type : 'feature', value : 'auto', description : 'Video capture and codec plugins for Android')
option('applemedia', type : 'feature', value : 'auto', description : 'Video capture and codec access plugins for macOS and iOS')
option('asio', type : 'feature', value : 'auto', description : 'Steinberg Audio Streaming Input Output (ASIO) plugin')
option('asio-sdk-path', type : 'string', value : '', description : 'Full path to Steinberg Audio Streaming Input Output (ASIO) SDK')
option('assrender', type : 'feature', value : 'auto', description : 'ASS/SSA subtitle renderer plugin')
option('bluez', type : 'feature', value : 'auto', description : 'Bluetooth audio A2DP/AVDTP sink, AVDTP source plugin')
option('bs2b', type : 'feature', value : 'auto', description : 'Bauer stereophonic-to-binaural audio plugin')
option('bz2', type : 'feature', value : 'auto', description : 'bz2 stream encoder and decoder plugin')
option('chromaprint', type : 'feature', value : 'auto', description : 'Chromaprint fingerprint audio plugin')
option('closedcaption', type : 'feature', value : 'auto', description : 'Closed caption extractor, decoder, and overlay plugin')
option('colormanagement', type : 'feature', value : 'auto', description : 'Color management correction plugin')
option('curl', type : 'feature', value : 'auto', description : 'cURL network source and sink plugin')
option('curl-ssh2', type : 'feature', value : 'auto', description : 'cURL network source and sink plugin libssh2 support')
option('d3dvideosink', type : 'feature', value : 'auto', description : 'Direct3D video sink plugin')
option('d3d11', type : 'feature', value : 'auto', description : 'Direct3D11 plugin')
option('dash', type : 'feature', value : 'auto', description : 'DASH demuxer plugin')
option('dc1394', type : 'feature', value : 'auto', description : 'libdc1394 IIDC camera source plugin')
option('decklink', type : 'feature', value : 'auto', description : 'DeckLink audio/video source/sink plugin')
option('directfb', type : 'feature', value : 'auto', description : 'DirectFB video sink plugin')
option('directsound', type : 'feature', value : 'auto', description : 'Directsound audio source plugin')
option('dtls', type : 'feature', value : 'auto', description : 'DTLS encoder and decoder plugin')
option('dts', type : 'feature', value : 'auto', description : 'DTS audio decoder plugin (GPL - only built if gpl option is also enabled!)')
option('dvb', type : 'feature', value : 'auto', description : 'DVB video bin and source plugin')
option('faac', type : 'feature', value : 'auto', description : 'Free AAC audio encoder plugin')
option('faad', type : 'feature', value : 'auto', description : 'Free AAC audio decoder plugin (GPL - only built if gpl option is also enabled!)')
option('fbdev', type : 'feature', value : 'auto', description : 'Framebuffer video sink plugin')
option('fdkaac', type : 'feature', value : 'auto', description : 'Fraunhofer AAC audio codec plugin')
option('flite', type : 'feature', value : 'auto', description : 'Flite speech synthesizer source plugin')
option('fluidsynth', type : 'feature', value : 'auto', description : 'Fluidsynth MIDI decoder plugin')
option('gl', type : 'feature', value : 'auto', description : 'GStreamer OpenGL integration support (used by various plugins)')
option('gme', type : 'feature', value : 'auto', description : 'libgme gaming console music file decoder plugin')
option('gs', type : 'feature', value : 'auto', description : 'Google Cloud Storage source and sink plugin')
option('gsm', type : 'feature', value : 'auto', description : 'GSM encoder/decoder plugin')
option('ipcpipeline', type : 'feature', value : 'auto', description : 'Inter-process communication plugin')
option('iqa', type : 'feature', value : 'auto', description : 'Image quality assessment plugin (AGPL - only built if gpl option is also enabled!)')
option('kate', type : 'feature', value : 'auto', description : 'Kate subtitle parser, tagger, and codec plugin')
option('kms', type : 'feature', value : 'auto', description : 'KMS video sink plugin')
option('ladspa', type : 'feature', value : 'auto', description : 'LADSPA plugin bridge')
option('ldac', type : 'feature', value : 'auto', description : 'LDAC bluetooth audio codec plugin')
option('libde265', type : 'feature', value : 'auto', description : 'HEVC/H.265 video decoder plugin')
option('openaptx', type : 'feature', value : 'auto', description : 'Open Source implementation of Audio Processing Technology codec (aptX) plugin')
option('lv2', type : 'feature', value : 'auto', description : 'LV2 audio plugin bridge')
option('mediafoundation', type : 'feature', value : 'auto', description : 'Microsoft Media Foundation plugin')
option('microdns', type : 'feature', value : 'auto', description : 'libmicrodns-based device provider')
option('modplug', type : 'feature', value : 'auto', description : 'ModPlug audio decoder plugin')
option('mpeg2enc', type : 'feature', value : 'auto', description : 'mpeg2enc video encoder plugin (GPL - only built if gpl option is also enabled!)')
option('mplex', type : 'feature', value : 'auto', description : 'mplex audio/video multiplexer plugin (GPL - only built if gpl option is also enabled!)')
option('msdk', type : 'feature', value : 'auto', description : 'Intel Media SDK video encoder/decoder plugin')
option('musepack', type : 'feature', value : 'auto', description : 'libmpcdec Musepack decoder plugin')
option('neon', type : 'feature', value : 'auto', description : 'NEON HTTP source plugin')
option('nvcodec', type : 'feature', value : 'auto', description : 'NVIDIA GPU codec plugin')
option('onnx', type : 'feature', value : 'auto', description : 'ONNX neural network plugin')
option('openal', type : 'feature', value : 'auto', description : 'OpenAL plugin')
option('openexr', type : 'feature', value : 'auto', description : 'OpenEXR plugin')
option('openh264', type : 'feature', value : 'auto', description : 'H.264 video codec plugin')
option('openjpeg', type : 'feature', value : 'auto', description : 'JPEG2000 image codec plugin')
option('openmpt', type : 'feature', value : 'auto', description : 'OpenMPT module music library plugin')
option('openni2', type : 'feature', value : 'auto', description : 'OpenNI2 library plugin')
option('opensles', type : 'feature', value : 'auto', description : 'OpenSL ES audio source/sink plugin')
option('opus', type : 'feature', value : 'auto', description : 'OPUS audio parser plugin')
option('resindvd', type : 'feature', value : 'auto', description : 'Resin DVD playback plugin (GPL - only built if gpl option is also enabled!)')
option('rsvg', type : 'feature', value : 'auto', description : 'SVG overlayer and image decoder plugin')
option('rtmp', type : 'feature', value : 'auto', description : 'RTMP video network source and sink plugin')
option('sbc', type : 'feature', value : 'auto', description : 'SBC bluetooth audio codec plugin')
option('sctp', type : 'feature', value : 'auto', description : 'SCTP plugin')
option('shm', type : 'feature', value : 'auto', description : 'Shared memory source/sink plugin')
option('smoothstreaming', type : 'feature', value : 'auto', description : 'Microsoft Smooth Streaming demuxer plugin')
option('sndfile', type : 'feature', value : 'auto', description : 'libsndfile plugin')
option('soundtouch', type : 'feature', value : 'auto', description : 'Audio pitch controller & BPM detection plugin')

## gst-plugins-bad1.0-contrib 1.18.3

=== debian/changelog ===
gst-plugins-bad1.0-contrib (1.18.3-2build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:15:31 +0000

gst-plugins-bad1.0-contrib (1.18.3-2) unstable; urgency=medium

  * Team upload.
  * Refresh the patches that support for LATM and LOAS for the fdkaac plugin,
    from the MR
  * debian/control: Bump Standards-Version to 4.5.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 12 Feb 2021 00:40:19 +0100

gst-plugins-bad1.0-contrib (1.18.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream bugfix release.
  * Rename source package gst-plugins-bad1.0-contrib and only build fdkaac
    module from it (Closes: #978643)
  * Drop debian/patches/02_opencv-data-path.patch, not needed for this pkg
  * Add support for LATM and LOAS for the fdkaac plugin

 -- Laurent Bigonville <bigon@debian.org>  Thu, 21 Jan 2021 12:39:21 +0100

gst-plugins-bad1.0 (1.18.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Dec 2020 10:10:36 +0200

gst-plugins-bad1.0 (1.18.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/control:
    + Switch from libdc1394-22-dev to libdc1394-dev (Closes: #970841).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Oct 2020 18:17:33 +0200

gst-plugins-bad1.0 (1.18.0-2) unstable; urgency=medium

  * debian/rules:
    + Add `--with gir` to generate correct dependencies. Thanks to Ken VanDine.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2020 15:15:27 +0300

gst-plugins-bad1.0 (1.18.0-1) unstable; urgency=medium

  * New upstream stable release.
  * Upload to unstable (Closes: #927995, #893813).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2020 11:57:33 +0300

gst-plugins-bad1.0 (1.17.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 21 Aug 2020 14:30:56 +0300

gst-plugins-bad1.0 (1.17.2-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Name (from ./configure),
    Repository, Repository-Browse.

  [ Laurent Bigonville ]
  * Only build the opencv plugin on architecture where opencv is available
  * Install the opencv haarcascades files in the opencv plugin package
  * d/p/02_opencv-data-path.patch: Fix paths for the haarcascades files
    (Closes: #956518)
  * debian/control.in: Bump from Priority: extra to optional, the former is
    deprecated

  [ Sebastian Dröge ]
  * New upstream development release.
  * Completely redo and modernize the packaging.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 06 Jul 2020 09:30:58 +0300

gst-plugins-bad1.0 (1.16.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload patch to fix build with newer opencv (Closes: #922583)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Feb 2020 22:46:23 +0100

gst-plugins-bad1.0 (1.16.2-2) unstable; urgency=medium

  * debian/build-deps.in,
    debian/rules,
    debian/gstreamer-plugins-bad.install:
    + Build and ship SRT plugin.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 12 Jul 2019 09:21:34 +0300

gst-plugins-bad1.0 (1.16.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Apr 2019 10:19:04 +0300

gst-plugins-bad1.0 (1.15.90-1) experimental; urgency=medium

  * New upstream release candidate
  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Add SCTP plugin for WebRTC datachannels.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 12 Apr 2019 10:02:12 +0300

gst-plugins-bad1.0 (1.15.2-1) experimental; urgency=medium

  * New upstream development release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Feb 2019 12:11:56 +0200

gst-plugins-bad1.0 (1.15.1-1) experimental; urgency=medium

  * New upstream development release
    + Fixes build with OpenCV 3.4.4 (Closes: #915709).
    + debian/rules,
      debian/build-deps.in,
      debian/gstreamer-plugins-bad.install:
      - Update GStreamer dependency.
      - Update wayland dependency to >= 1.11.0.
      - Update OpenCV dependency to >= 3.0.0.
      - Add Pango dependency for the new closedcaption plugin.
      - Add SRT dependency for the new SRT plugin.
      - Add AOM (AV1) dependency for the new AOM plugin.
      - Remove openglmixers plugin that moved to gst-plugins-base.
  * debian/rules:
    + Only build documentation if we build the documentation package. Thanks
      to Simon McVittie for the patch.
  * debian/patches/02_opencv-data-path.patch,
    debian/control.in:
    + Fix path to opencv-data files and Recommend opencv-data for the
      gstreamer1.0-oppencv package (Closes: #877586).
  * debian/patches/03_removesilence-Add-LIBM-to-libraries.patch:
    + Fix linking of removesilence plugin.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Jan 2019 16:44:44 +0200

gst-plugins-bad1.0 (1.14.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 03 Oct 2018 13:57:59 +0300

gst-plugins-bad1.0 (1.14.3-1) unstable; urgency=medium

  [ Hugh McMaster ]
  * gir1.2-gst-plugins-bad-1.0: Install the typelibs into a multi-arch
    library directory.
  * debian/control.in:
    - Mark gir1.2-gst-plugins-bad-1.0 Multi-Arch: same.
    - Remove a duplicate ${gir:Depends} from gir1.2-gst-plugins-bad-1.0.
    - Mark libgstreamer-plugins-bad1.0-dev Multi-Arch: same.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Sep 2018 10:03:13 +0300

gst-plugins-bad1.0 (1.14.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Jul 2018 12:21:14 +0300

gst-plugins-bad1.0 (1.14.1-1) unstable; urgency=medium

  * New upstream bugfix release



=== debian/control ===
Source: gst-plugins-bad1.0-contrib
Section: contrib/libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.15.1),
               pkg-config (>= 0.11.0),
               meson (>= 0.48),
               xvfb,
               xauth,
               libglib2.0-dev (>= 2.44),
               libgstreamer1.0-dev (>= 1.18.0),
               libgstreamer-plugins-base1.0-dev (>= 1.18.0),
               gstreamer1.0-plugins-base (>= 1.18.0),
               gstreamer1.0-plugins-good (>= 1.18.0),
               libfdk-aac-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x]
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0-contrib.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0-contrib/
Homepage: https://gstreamer.freedesktop.org

Package: gstreamer1.0-fdkaac
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Description: GStreamer FDK AAC plugins
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains the FDK AAC plugins.

## gst-plugins-bad1.0-contrib 1.18.4

=== debian/changelog ===
gst-plugins-bad1.0-contrib (1.18.4-3) unstable; urgency=medium

  * Source-only re-upload.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 Apr 2021 23:14:25 +0300

gst-plugins-bad1.0-contrib (1.18.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 Apr 2021 21:01:46 +0300

gst-plugins-bad1.0-contrib (1.18.4-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Apr 2021 12:13:02 +0300

## gst-plugins-bad1.0-contrib 1.20.0

=== debian/changelog ===
gst-plugins-bad1.0-contrib (1.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Feb 2022 09:08:28 +0200

gst-plugins-bad1.0-contrib (1.19.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 28 Jan 2022 18:48:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: gst-plugins-bad1.0-contrib
 Section: contrib/libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
                pkg-config (>= 0.11.0),
-               meson (>= 0.48),
+               meson (>= 0.59),
                xvfb,
                xauth,
-               libglib2.0-dev (>= 2.44),
-               libgstreamer1.0-dev (>= 1.18.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.18.0),
-               gstreamer1.0-plugins-base (>= 1.18.0),
-               gstreamer1.0-plugins-good (>= 1.18.0),
+               libglib2.0-dev (>= 2.56),
+               libgstreamer1.0-dev (>= 1.20.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.20.0),
+               gstreamer1.0-plugins-base (>= 1.20.0),
+               gstreamer1.0-plugins-good (>= 1.20.0),
                libfdk-aac-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x]
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0-contrib.git

=== debian/watch ===
version=3
http://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-(1\.[\d]+\.[\d]+)\.tar\.xz

## gst-plugins-bad1.0-contrib 1.26.2

=== debian/changelog ===
gst-plugins-bad1.0-contrib (1.26.2-1) unstable; urgency=medium

  * New upstream version 1.26.2
  * d/watch: pgpmode to default

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 03 Jun 2025 13:40:55 +0200

gst-plugins-bad1.0-contrib (1.26.1-1) unstable; urgency=medium

  * New upstream version 1.26.1
  * d/control: add Marc to Uploaders
  * d/patches: refresh
  * d/control: build-dependency to pkgconf
  * d/copyright: DEP-5 format
  * d/watch: update watch format
  * d/control: update Standards-Version
  * d/control: add Rules-Requires-Root

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 05 May 2025 15:20:39 +0200

## gst-plugins-bad1.0-contrib 1.26.4

=== debian/changelog ===
gst-plugins-bad1.0-contrib (1.26.4-1) experimental; urgency=medium

  * d/watch: pin to 1.26.x
  * New upstream version 1.26.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 16 Jul 2025 21:15:20 +0200

## gst-plugins-bad1.0-contrib 1.26.5

=== debian/changelog ===
gst-plugins-bad1.0-contrib (1.26.5-1) unstable; urgency=medium

  * New upstream version 1.26.5

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 11 Aug 2025 10:07:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
-           Sjoerd Simons <sjoerd@debian.org>
+           Sjoerd Simons <sjoerd@debian.org>,
+           Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
-               pkg-config (>= 0.11.0),
+               pkgconf,
                meson (>= 0.59),
                xvfb,
                xauth,
@@ -17,7 +18,8 @@
                gstreamer1.0-plugins-base (>= 1.20.0),
                gstreamer1.0-plugins-good (>= 1.20.0),
                libfdk-aac-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x]
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0-contrib.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0-contrib/
 Homepage: https://gstreamer.freedesktop.org

=== debian/watch ===
version=4
opts=pgpmode=default \
https://gstreamer.freedesktop.org/src/gst-plugins-bad/ gst-plugins-bad-(1\.26\.[\d]+)@ARCHIVE_EXT@

## gst-plugins-bad1.0-contrib 1.26.6

=== debian/changelog ===
gst-plugins-bad1.0-contrib (1.26.6-1) unstable; urgency=medium

  * d/upstream: add signing key
  * New upstream version 1.26.6

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 01 Oct 2025 13:03:33 +0200

gst-plugins-bad1.0-contrib (1.26.5-2) unstable; urgency=medium

  * d/copyright: import reviewed copyright from bad
  * d/watch: sync with gst-plugins-bad1.0

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 22 Aug 2025 09:46:35 +0200

## gst-plugins-bad1.0-contrib 1.26.7

=== ext/sctp/usrsctp/meson_options.txt ===
option('sctp_invariants', type: 'boolean', value: false,
    description: 'Add runtime checks')
option('sctp_debug', type: 'boolean', value: false,
    description: 'Provide debug information')
option('sctp_inet', type: 'boolean', value: true,
    description: 'Support IPv4')
option('sctp_inet6', type: 'boolean', value: true,
    description: 'Support IPv6')
option('sctp_build_programs', type: 'boolean', value: true,
    description: 'Build example programs')

=== debian/changelog ===
gst-plugins-bad1.0-contrib (1.26.7-1) unstable; urgency=medium

  * New upstream version 1.26.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 15 Oct 2025 11:39:53 +0200

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
                pkgconf,
-               meson (>= 0.59),
+               meson (>= 1.4),
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.56),
-               libgstreamer1.0-dev (>= 1.20.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.20.0),
-               gstreamer1.0-plugins-base (>= 1.20.0),
-               gstreamer1.0-plugins-good (>= 1.20.0),
+               libgstreamer1.0-dev (>= 1.26.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.26.0),
+               gstreamer1.0-plugins-base (>= 1.26.0),
+               gstreamer1.0-plugins-good (>= 1.26.0),
                libfdk-aac-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x]
 Standards-Version: 4.7.2
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export HOME=$(CURDIR)/fake-home

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Bad Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-bad1.0-contrib"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer Bad Plugins (Debian)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-bad1.0-contrib"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Bad Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gst-plugins-bad1.0-contrib"
endif

conf_flags = --libdir=lib/$(DEB_HOST_MULTIARCH) --libexecdir=lib/$(DEB_HOST_MULTIARCH)/gstreamer1.0
conf_flags += -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
conf_flags += --auto-features=disabled

ifneq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x,$(DEB_HOST_ARCH)))
conf_flags += -Dfdkaac=enabled
endif

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- --default-library shared $(conf_flags)

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_clean:
	rm -rf $(CURDIR)/fake-home
	dh_auto_clean

override_dh_auto_test:
	xvfb-run dh_auto_test || true

override_dh_install:
	dh_install

	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home dh_gstscancodecs
	rm -rf $(CURDIR)/fake-home

# We are only installing the fdkaac module for now
override_dh_missing:

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-plugins-bad/ gst-plugins-bad-(1\.26\.[\d]+)@ARCHIVE_EXT@

## gst-plugins-bad1.0-contrib 1.26.8

=== debian/changelog ===
gst-plugins-bad1.0-contrib (1.26.8-1) unstable; urgency=medium

  * New upstream version 1.26.8

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Nov 2025 11:08:26 +0100

## gst-plugins-bad1.0-contrib 1.26.9

=== debian/changelog ===
gst-plugins-bad1.0-contrib (1.26.9-1) unstable; urgency=medium

  * New upstream version 1.26.9

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 02 Dec 2025 11:15:17 +0100

## gst-plugins-bad1.0-contrib 1.26.10

=== debian/changelog ===
gst-plugins-bad1.0-contrib (1.26.10-1) unstable; urgency=medium

  * New upstream version 1.26.10

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 26 Dec 2025 21:26:06 +0100

## gst-plugins-bad1.0-contrib 1.28.0

=== debian/changelog ===
gst-plugins-bad1.0-contrib (1.28.0-1) unstable; urgency=medium

  [ Bastian Germann ]
  * Add contrib package fields (Closes: #1125414)
  * Build package on any arch with fdk-aac on every release arch
    (Closes: #1109780)

  [ Marc Leeman ]
  * Revert "d/watch: pin to 1.26.x"
  * New upstream version 1.28.0

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 24 Feb 2026 10:52:51 +0100

=== debian/control ===
--- 
+++ 
@@ -17,15 +17,16 @@
                libgstreamer-plugins-base1.0-dev (>= 1.26.0),
                gstreamer1.0-plugins-base (>= 1.26.0),
                gstreamer1.0-plugins-good (>= 1.26.0),
-               libfdk-aac-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x]
+               libfdk-aac-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x]
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0-contrib.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0-contrib/
 Homepage: https://gstreamer.freedesktop.org
+XS-Autobuild: yes
 
 Package: gstreamer1.0-fdkaac
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x
+Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}

=== debian/watch ===
version=4
opts=pgpmode=default \
https://gstreamer.freedesktop.org/src/gst-plugins-bad/ gst-plugins-bad-(1\.[\d]+\.[\d]+)@ARCHIVE_EXT@

## gst-plugins-bad1.0-contrib 1.28.1

=== debian/changelog ===
gst-plugins-bad1.0-contrib (1.28.1-1) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.7.3
  * New upstream version 1.28.1

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 26 Feb 2026 14:59:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gst-plugins-bad1.0-contrib
 Section: contrib/libs
-Priority: optional
 Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
@@ -18,7 +17,7 @@
                gstreamer1.0-plugins-base (>= 1.26.0),
                gstreamer1.0-plugins-good (>= 1.26.0),
                libfdk-aac-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x]
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0-contrib.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0-contrib/

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 conf_flags += -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
 conf_flags += --auto-features=disabled
 
-ifneq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x,$(DEB_HOST_ARCH)))
+ifneq (,$(filter amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x,$(DEB_HOST_ARCH)))
 conf_flags += -Dfdkaac=enabled
 endif
